Subject: Re: bug#67638: Description of the variable message-mail-user-agent in Emacs 29.1

From: [email-masked]
Date: Thu, 07 Dec 2023 17:27:21 +0000

>> Can you please kindly explain in one sentence where 
>> message-mail-user-agent and mail-user-agent intervene during the 
>> process of replying to an email message which I'm reading using Rmail?
> 
> When you type 'r', Emacs invokes rmail-reply, which calls 
> rmail-start-mail, which calls compose-mail. compose-mail invokes the 
> composition function of mail-user-agent, and when you invoke the 
> command to send the response, Emacs invokes the send-mail function of 
> mail-user-agent.
> 
> rmail-start-mail (and thus compose-mail) is also called by commands 
> rmail-mail, rmail-continue, rmail-forward, and a couple of others.

Thanks. Can you please explain where the variable 
message-mail-user-agent intervenes in the process above? Because only 
mail-user-agent appears in your description.